> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get merchant profile



## OpenAPI

````yaml /openapi.json get /merchants/me
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /merchants/me:
    get:
      tags:
        - payments
      summary: Get merchant profile
      operationId: PaymentLifecycle.Web.MerchantController.me
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantResponse'
          description: Merchant profile
        '404':
          $ref: '#/components/responses/not_found'
      callbacks: {}
components:
  schemas:
    MerchantResponse:
      example:
        data:
          active: true,
          address:
            city: South Ted
            country: NG
            line1: 28 Kristy Place
            line2: Suite 289
            state: Adamawa
            zip_code: 35654
          email: flossie1994@fay.com
          id: 21b44c27-6017-4815-84a2-be128426b7ce
          mcc: 5997
          name: Hoeger-Hills
          display_name: Hoeger-Hills
          logo_url: https://picsum.photos/786
          phone: '+2348026585106'
          settings:
            accept_overpayment: false
            accept_underpayment: true
            fee_chargeable_to: merchant
      properties:
        data:
          type: object
          properties:
            active:
              type: boolean
            address:
              type: object
              properties:
                city:
                  type: string
                country:
                  type: string
                line1:
                  type: string
                line2:
                  type: string
                state:
                  type: string
                zip_code:
                  type: string
            email:
              type: string
              format: email
            id:
              type: string
            mcc:
              type: string
            name:
              type: string
            display_name:
              type: string
            logo_url:
              type: string
              format: url
            phone:
              type: string
            settings:
              type: object
              properties:
                accept_overpayment:
                  type: boolean
                accept_underpayment:
                  type: boolean
                fee_chargeable_to:
                  type: string
                  enum:
                    - merchant
                    - customer
  responses:
    not_found:
      content:
        application/json:
          schema:
            type: string
      description: Not Found

````